#
#  nds2-client package setup script for lscsoft environment
#
prepend()
{
#  prepend - add new item to path if not already there
    newpath=$1
    oldpath=$2
    compath=$3
    if [ -z "$compath" ]; then
        export $oldpath=$newpath
    else
        echo $compath | egrep -i $newpath >&/dev/null
        if [ "$?" -ne 0 ]; then
            export $oldpath=$newpath:$compath
        fi
    fi
}

prepend "/Users/runner/miniforge3/conda-bld/nds2-client_1634907506875/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placeho/bin" "PATH" "$PATH"
prepend "/Users/runner/miniforge3/conda-bld/nds2-client_1634907506875/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placeho/lib/pkgconfig" "PKG_CONFIG_PATH" "$PKG_CONFIG_PATH"
prepend "/Users/runner/miniforge3/conda-bld/nds2-client_1634907506875/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placeho/lib/cmake/nds2-client" "CMAKE_MODULE_PATH" "$CMAKE_MODULE_PATH"
prepend "`nds-client-config --matlabdir`" "MATLABPATH" "$MATLABPATH"
case "`python --version 2>&1`" in
"Python 2."*)
  prepend "`nds-client-config --py27dir`" "PYTHONPATH" "$PYTHONPATH"
  prepend "`nds-client-config --py27execdir`" "PYTHONPATH" "$PYTHONPATH"
  ;;
"Python 3.4"*)
  prepend "`nds-client-config --py34dir`" "PYTHONPATH" "$PYTHONPATH"
  prepend "`nds-client-config --py34execdir`" "PYTHONPATH" "$PYTHONPATH"
  ;;
"Python 3.5"*)
  prepend "`nds-client-config --py35dir`" "PYTHONPATH" "$PYTHONPATH"
  prepend "`nds-client-config --py35execdir`" "PYTHONPATH" "$PYTHONPATH"
  ;;
"Python 3.6"*)
  prepend "`nds-client-config --py36dir`" "PYTHONPATH" "$PYTHONPATH"
  prepend "`nds-client-config --py36execdir`" "PYTHONPATH" "$PYTHONPATH"
  ;;
esac
